Subject: Package `guile-newt' cannot be cross-compiled
From: Jean Pierre De Jesus DIAZ <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Sun, 07 Aug 2022 13:00:53 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

The `guile-newt' package that is used for the installation UI can't
be cross-compiled as it tries to load the `newt' dynamic library when
the Guile code is compiled. I've tried to find a solution/fix but I
don't know much about how Guile byte-code compilation works.

The compilation error can be reproduced with (#56536 was pushed a few
hours ago, so a git pull may be needed):

./pre-inst-env guix build guile-newt --target=aarch64-linux-gnu

I think this is one of the last remaining bits before being able to
fully cross compile an installation image.

—
Jean-Pierre De Jesus DIAZ